/**
  *
  * Beschreibung
  *
  * @version 1.0 vom 25.01.2016
  * @author 
  */
  
  import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import java.util.*;
  import java.awt.image.BufferedImage;

public class JMyButton extends JButton {
  
    // Anfang Attribute
  private Nachricht nachricht;
    private JComboBox empfaenger;
  // Ende Attribute
  
    public JMyButton(Nachricht nachricht, JComboBox cb, ImageIcon ii) {
    super(ii);
    this.nachricht = nachricht;
  this.empfaenger = cb;
  }

  // Anfang Methoden
    public Nachricht getNachricht() {
  return nachricht;
  }
  
  public JComboBox getEmpfaenger() {
    
    return empfaenger;
    }// Ende Methoden
} // end of JMyLabel
